MEMORY 
{ 
  rom    : ORIGIN = 0x8000000, LENGTH = 8M 
  ram    : ORIGIN = 0x3000000, LENGTH = 0x7900
  exwram : ORIGIN = 0x2010000, LENGTH = 0x30000
}

SECTIONS
{
	.text   : { *(.text) *(.eh_frame) } >rom
  .rodata : { *(.rodata .bin0 .bin1 .bin2 .bin3 .bin4) } >rom
  .bss    : { *(.bss) *(COMMON) } >ram
  .mdata  : AT (LOADADDR(.rodata)+SIZEOF(.rodata)) {*(.data .glue*); end = .;} >ram
}

_datasrc = LOADADDR(.mdata);
_datadest = ADDR(.mdata);
_datalen = (SIZEOF(.mdata) + 1) / 2;

_bssstart = ADDR(.bss);
_bsslen = (SIZEOF(.bss) + 3) / 4;
